{inputs, ...}: rec {
  system = "x86_64-linux";
  modules = [
    inputs.nixos-hardware.nixosModules.framework-13-7040-amd
    inputs.sops-nix.nixosModules.sops
    inputs.disko.nixosModules.disko
    inputs.impermanence.nixosModules.impermanence
    inputs.home-manager.nixosModules.home-manager
    inputs.lanzaboote.nixosModules.lanzaboote
    inputs.catppuccin.nixosModules.catppuccin
    {
      _module.args.pkgs-unfree = import inputs.nixpkgs {
        inherit system;
        config.allowUnfree = true;
      };
    }
    ./configuration.nix
  ];
}
