{pkgs, ...}: {
  home.packages = [pkgs.wl-clipboard];

  programs.helix = {
    enable = true;
    defaultEditor = true;

    settings = {
      # theme = "autumn";
      editor = {
        cursor-shape.insert = "bar";
        file-picker.hidden = false;
      };
    };
  };
}
