_: {
  # Enable sound.
  services.pipewire = {
    enable = true;

    pulse.enable = true;

    alsa.enable = true;
    alsa.support32Bit = true;
  };

  security.rtkit.enable = true;

  hardware.framework.laptop13.audioEnhancement.enable = true;

  # Enable bluetooth.
  hardware.bluetooth = {
    enable = true;

    settings = {
      General = {
        Experimental = true;
        Enable = "Source,Sink,Media,Socket";
      };
    };
  };
}
